summaryrefslogtreecommitdiffstats
path: root/.github/scripts
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2022-06-06 07:30:57 -0400
committerGitHub <noreply@github.com>2022-06-06 07:30:57 -0400
commit524fc560633a0d1f9077aa93b9d91992ee987e6e (patch)
tree90a255b6522df9d0b751c0ad1b5ba96ba9898b90 /.github/scripts
parent123e923f76ad2cc458dd98b01ba8b29f2306bee2 (diff)
Added Alma Linux 9 and RHEL 9 support to CI and packaging. (#13058)
* Added Alma Linux 9 and RHEL 9 support to CI and packaging. * Fix RPM deps for Alma 9. * Fix package testing code for Alma 9.
Diffstat (limited to '.github/scripts')
-rwxr-xr-x.github/scripts/pkg-test.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/.github/scripts/pkg-test.sh b/.github/scripts/pkg-test.sh
index 4b64343f5f..e307ee65fd 100755
--- a/.github/scripts/pkg-test.sh
+++ b/.github/scripts/pkg-test.sh
@@ -36,6 +36,10 @@ install_centos() {
pkg_version="$(echo "${VERSION}" | tr - .)"
+ if [ "${PKGMGR}" = "dnf" ]; then
+ opts="--allowerasing"
+ fi
+
# Install EPEL (needed for `jq`
"$PKGMGR" install -y epel-release || exit 1
@@ -43,7 +47,7 @@ install_centos() {
"$PKGMGR" install -y /netdata/artifacts/netdata-"${pkg_version}"-*.rpm
# Install testing tools
- "$PKGMGR" install -y curl nc jq || exit 1
+ "$PKGMGR" install -y ${opts} curl nc jq || exit 1
}
install_suse_like() {